<?php
/**
* Polish Language File developed by mybboard.pl for Awaiting activation message 1.2
* Tłumaczenie: szulcu
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0
**/

/**
 * Awaiting Activation Message 1.2
 * © MattRogowski 2009
 * http://mattrogowski.co.uk
 * You may edit for your own personal forum but must not redistribute it in any form without my permission.
 **/


if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
 
$plugins->add_hook('global_start', 'aamessage');

function aamessage_info()
{
	return array(
		'name'			=> 'Awaiting activation message',
		'description'	=> 'Pokazuje powiadomienie użytkownikom, których konto nie zostało aktywowane przez email lub przez administratora.',
		'website'		=> 'http://mattrogowski.co.uk',
		'author'		=> 'MattRogowski',
		'authorsite'	=> 'http://mattrogowski.co.uk',
		'version'		=> '1.2',
		'compatibility' => '14*',
		'guid'          => 'c84be61309ce0796500b90283cdf58dc',
	);
}

function aamessage_activate()
{
	require '../inc/adminfunctions_templates.php';
	global $global, $db, $theme, $mybb, $templates;

	$aamessage_group = array(
		"gid"			=> "NULL",
		"name"			=> "aamessage",
		"title" 		=> "Powiadomienie o aktywacji - ustawienia",
		"description"	=> "Ustawienia pluginu powiadomienie o aktywacji.",
		"disporder"		=> "18",
		"isdefault"		=> "no",
	);

	$db->insert_query("settinggroups", $aamessage_group);
	$gid = $db->insert_id();

	$aamessage_setting_1 = array(
		"sid"			=> "NULL",
		"name"			=> "showaamessage",
		"title"			=> "Pokazywać wiadomość nieaktywowanym użytkownikom?",
		"description"	=> "Czy ma być pokazywana wiadomość o nieaktywowanym koncie?",
		"optionscode"	=> "onoff",
		"value"			=> "1",
		"disporder"		=> "1",
		"gid"			=> intval($gid),
	);
	$aamessage_setting_2 = array(
		"sid"			=> "NULL",
		"name"			=> "aamessageemail",
		"title"			=> "Aktywacja email",
		"description"	=> "Poniższa wiadomość zostanie pokazana użytkownikom, którzy nie dokonali aktywacji konta przez email.",
		"optionscode"	=> "textarea",
		"value"			=> "Twoje konto oczekuje na aktywację przez email. Sprawdź pocztę pod adresem podanym podczas rejestracji. Dopóki nie dokonasz aktywacji, pełny dostęp do forum nie będzie możliwy.",
		"disporder"		=> "4",
		"gid"			=> intval($gid),
	);
	$aamessage_setting_3 = array(
		"sid"			=> "NULL",
		"name"			=> "aamessageadmin",
		"title"			=> "Aktywacja przez administratora",
		"description"	=> "Poniższa wiadomość zostanie pokazana użytkownikom, których konto nie zostało aktywowane przez administratora.",
		"optionscode"	=> "textarea",
		"value"			=> "Twoje konto oczekuje na aktywację przez administratora. Dopóki nie zostanie aktywowane, pełny dostęp do forum nie będzie możliwy.",
		"disporder"		=> "5",
		"gid"			=> intval($gid),
	);
	$aamessage_setting_4 = array(
		"sid"			=> "NULL",
		"name"			=> "aamessageemailtitle",
		"title"			=> "Tytuł wiadomości - aktywacja email",
		"description"	=> "Wpisz tytuł wiadomości, która będzie pokazywana nieaktywowanym użytkownikom?",
		"optionscode"	=> "textarea",
		"value"			=> "Twoje konto oczekuje na aktywację przez email.",
		"disporder"		=> "6",
		"gid"			=> intval($gid),
	);
	$aamessage_setting_5 = array(
		"sid"			=> "NULL",
		"name"			=> "aamessageadmintitle",
		"title"			=> "Tytuł wiadomości - aktywacja przez administratora",
		"description"	=> "Wpisz tytuł wiadomości, która będzie pokazywana nieaktywowanym użytkownikom.",
		"optionscode"	=> "textarea",
		"value"			=> "Twoje konto oczekuje na aktywację przez administatora.",
		"disporder"		=> "7",
		"gid"			=> intval($gid),
	);

	$db->insert_query("settings", $aamessage_setting_1);
	$db->insert_query("settings", $aamessage_setting_2);
	$db->insert_query("settings", $aamessage_setting_3);
	$db->insert_query("settings", $aamessage_setting_4);
	$db->insert_query("settings", $aamessage_setting_5);
	
	global $global, $db, $theme, $mybb, $templates;
	
	$aamessage_template = array(
		"tid"		=> "NULL",
		"title"		=> "global_aamessage",
		"template"	=> "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"4\" class=\"tborder\">
						<tr>
						<td class=\"thead\">
						<strong>{\$aamessagetitle}</strong>
						</td>
						</tr>
						<tr><td class=\"trow1\">{\$aamessage}</td></tr>
						</table>
						<br/>",
		"sid"		=> "-1",
		"version"	=> "100.07",
		"status"	=> "",
		"dateline"	=> "1241823000",
	);

	$db->insert_query("templates", $aamessage_template);
	find_replace_templatesets("header", '#\{\$unreadreports\}(\r?)\n#', "{\$unreadreports}\n{\$aamessage}\n");

}

function aamessage_deactivate()
{
	require '../inc/adminfunctions_templates.php';
	global $db;
	$db->delete_query("settings","name IN('showaamessage', 'aamessageemailon','aamessageadminon','aamessageemail','aamessageadmin','aamessageemailtitle','aamessageadmintitle')",'');
	$db->delete_query("settinggroups","name='aamessage'",'');
	$db->delete_query("templates","title='global_aamessage'",'');
	find_replace_templatesets("header", '#{\$aamessage}(\r?)\n#', "", 0);
}

function aamessage()
{
	global $global, $theme, $mybb, $templates, $aamessage, $collapsed, $collapsedimg;

	if ($mybb->settings['showaamessage'] != '0' && $mybb->user['usergroup'] == '5')
	{
		if ($mybb->settings['regtype'] == 'verify')
		{
			$aamessagetitle = stripslashes($mybb->settings['aamessageemailtitle']);
			$bgcolor = $mybb->theme['bgcolor'];
			$aamessage = stripslashes($mybb->settings['aamessageemail']);
			eval("\$aamessage = \"".$templates->get('global_aamessage')."\";");
		}
		else
		{
			if ($mybb->settings['regtype'] == 'admin')
			{
				$aamessagetitle = stripslashes($mybb->settings['aamessageadmintitle']);
				$bgcolor = $mybb->theme['bgcolor'];
				$aamessage = stripslashes($mybb->settings['aamessageadmin']);
				eval("\$aamessage = \"".$templates->get('global_aamessage')."\";");
			}
		}
	}
}
?>
